## kopeninghours 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})

# Ubuntu bionic has ECM 5.44
find_package(ECM 5.44 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
if (ECM_VERSION VERSION_GREATER_EQUAL 5.91)
    include(ECMDeprecationSettings)
else()
    # backward compatibility for ECM versions without QtVersionOption.cmake
    set(QT_MAJOR_VERSION 5)
endif()
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
ecm_setup_version(PROJECT VARIABLE_PREFIX KOPENINGHOURS
    VERSION_HEADER kopeninghours_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfigVersion.cmake"
    SOVERSION 1
)

option(VALIDATOR_ONLY "Build only the validator, not the evaluator. This removes the kholidays and ki18n dependencies." OFF)
if (VALIDATOR_ONLY)
    set(REQUIRED_QT_VERSION 5.9)
else()
    set(REQUIRED_QT_VERSION 5.14) # 5.14 for QCalendar
endif()

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core) # 5.14 for QCalendar
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS Qml)
if (NOT VALIDATOR_ONLY)
    find_package(KF5 5.77 REQUIRED COMPONENTS Holidays I18n)
endif()

if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test)
endif()

find_package(FLEX REQUIRED)
set_package_properties(FLEX PROPERTIES PURPOSE "Lexer generator for parsing opening hours expressions")
find_package(BISON REQUIRED)
set_package_properties(BISON PROPERTIES PURPOSE "Grammar generator for parsing opening hours expressions")

find_package(PythonLibs 3.6 MODULE)
if (PythonLibs_FOUND)
    # Extract major/minor python version
    string(REPLACE "." ";" VERSION_LIST ${PYTHONLIBS_VERSION_STRING})
    list(GET VERSION_LIST 0 PYTHONLIBS_VERSION_MAJOR)
    list(GET VERSION_LIST 1 PYTHONLIBS_VERSION_MINOR)

    # boost-python requires exact version number
    find_package(Boost COMPONENTS python${PYTHONLIBS_VERSION_MAJOR}${PYTHONLIBS_VERSION_MINOR} MODULE)
endif()

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054400)
add_definitions(-DQT_NO_FOREACH)
add_subdirectory(src)
if (Boost_FOUND)
    add_subdirectory(PyKOpeningHours)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KOpeningHours")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KOpeningHoursConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(EXPORT KOpeningHoursTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KOpeningHoursTargets.cmake)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kopeninghours_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
if (NOT VALIDATOR_ONLY)
    ki18n_install(po)
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KOpeningHours_QCH
        FILE KOpeningHoursQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KOpeningHoursQchTargets.cmake\")")
endif()

## kopeninghours 22.08.2

=== debian/changelog ===
kopeninghours (22.08.2-2) unstable; urgency=medium

  * Team upload.
  * Fix Maintainer to be the canonical one.
  * Update symbols file from the logs of buildds.
  * Add the dh-sequence-pkgkde-symbolshelper build dependency to use
    pkgkde-symbolshelper for the symbols file.
  * CI: ignore reprotest build path variations.
  * Re-export upstream signing key without extra signatures.
  * Switch the libboost-python1.74-dev build dependency to the default
    libboost-python-dev one.
  * Switch the python3-dev build dependency to libpython3-dev, as only the
    development bits of libpython are needed.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Oct 2022 13:18:30 +0200

kopeninghours (22.08.2-1) unstable; urgency=medium

  * Initial release (Closes: #1022358).

 -- Sandro Knauß <hefee@debian.org>  Sun, 23 Oct 2022 15:22:24 +0200

=== debian/control ===
Source: kopeninghours
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               extra-cmake-modules (>= 5.28.0~),
               flex,
               libboost-python-dev,
               libkf5holidays-dev,
               libkf5i18n-dev,
               libpython3-dev,
               qtbase5-dev,
               qtdeclarative5-dev
Homepage: https://invent.kde.org/libraries/kopeninghours/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopeninghours
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopeninghours.git
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: libkopeninghours1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OSM opening hours expressions library
 A library for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.

Package: libkopeninghours-dev
Section: libdevel
Architecture: any
Depends: libkopeninghours1 (= ${binary:Version}),
         ${misc:Depends}
Description: OSM opening hours expressions library (development files)
 A library for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.
 .
 This package contains the development files.

Package: qml-module-org-kde-kopeninghours
Architecture: any
Depends: qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM opening hours expressions - QML module
 A QML module for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.
 .
 This package contains the QML module.

Package: python3-kopeninghours
Section: python
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: OSM opening hours expressions library - Python binding
 A library for parsing and evaluating OSM opening hours expressions.
 .
 OSM opening hours expressions are used to describe when a feature is
 open/available or closed. This format is not only used in OpenStreetMap itself,
 but in various other data sources or APIs needing such a description as well.
 .
 This package contains the Python library.

## kopeninghours 22.12.3

=== debian/changelog ===
kopeninghours (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:57 +0100

kopeninghours (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Dec 2022 00:02:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,31 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
-               cmake (>= 2.8.12),
+               cmake (>= 3.5~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-python3,
-               extra-cmake-modules (>= 5.28.0~),
+               extra-cmake-modules (>= 5.44~),
                flex,
                libboost-python-dev,
-               libkf5holidays-dev,
-               libkf5i18n-dev,
+               libkf5holidays-dev (>= 1:5.77~),
+               libkf5i18n-dev (>= 5.77~),
                libpython3-dev,
-               qtbase5-dev,
-               qtdeclarative5-dev
+               qtbase5-dev (>= 5.14~),
+               qtdeclarative5-dev (>= 5.14~),
 Homepage: https://invent.kde.org/libraries/kopeninghours/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopeninghours
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopeninghours.git
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: libkopeninghours1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: OSM opening hours expressions library
  A library for parsing and evaluating OSM opening hours expressions.
  .
@@ -36,8 +37,7 @@
 Package: libkopeninghours-dev
 Section: libdevel
 Architecture: any
-Depends: libkopeninghours1 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libkopeninghours1 (= ${binary:Version}), ${misc:Depends},
 Description: OSM opening hours expressions library (development files)
  A library for parsing and evaluating OSM opening hours expressions.
  .
@@ -53,7 +53,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: OSM opening hours expressions - QML module
  A QML module for parsing and evaluating OSM opening hours expressions.
  .
@@ -66,9 +66,7 @@
 Package: python3-kopeninghours
 Section: python
 Architecture: any
-Depends: ${python3:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 Description: OSM opening hours expressions library - Python binding
  A library for parsing and evaluating OSM opening hours expressions.
  .

## kopeninghours 23.08.0

=== debian/changelog ===
kopeninghours (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:57:52 +0100

kopeninghours (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:27 +0100

kopeninghours (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:51:50 +0100

kopeninghours (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)
  * Disable test building
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:15 +0100

kopeninghours (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:41:36 +0000

kopeninghours (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:22:21 -0600

kopeninghours (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:17:37 +0000

kopeninghours (22.12.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:04:50 +0000

kopeninghours (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:01 +0000

kopeninghours (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:16 +0000

kopeninghours (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:52:50 +0000

kopeninghours (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)
  * Kubuntu maintainer and Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 11:13:30 +0000

## kopeninghours 23.08.1

=== debian/changelog ===
kopeninghours (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:02:53 +0100

## kopeninghours 23.08.4

=== debian/changelog ===
kopeninghours (23.08.4-0ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:49:45 +0000

kopeninghours (23.08.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:49 +0100

kopeninghours (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:05 +0000

kopeninghours (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:09 +0000

kopeninghours (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:00 +0100

## kopeninghours 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -50,12 +50,19 @@
     set(REQUIRED_QT_VERSION 5.9)
 else()
     set(REQUIRED_QT_VERSION 5.14) # 5.14 for QCalendar
+    if (QT_MAJOR_VERSION STREQUAL "6")
+        set(QT_REQUIRED_VERSION "6.4.0")
+        set(KF_MIN_VERSION "5.240.0")
+        set(KF_MAJOR_VERSION "6")
+    else()
+        set(KF_MAJOR_VERSION "5")
+    endif()
 endif()
 
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core) # 5.14 for QCalendar
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS Qml)
 if (NOT VALIDATOR_ONLY)
-    find_package(KF5 5.77 REQUIRED COMPONENTS Holidays I18n)
+    find_package(KF${KF_MAJOR_VERSION} 5.77 REQUIRED COMPONENTS Holidays I18n)
 endif()
 
 if (BUILD_TESTING)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kopeninghours\")

add_subdirectory(lib)
if (TARGET Qt::Qml AND NOT VALIDATOR_ONLY)
    add_subdirectory(qml)
endif()

=== src/lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_qt_declare_logging_category(kopeninghours_srcs HEADER logging.h IDENTIFIER KOpeningHours::Log CATEGORY_NAME org.kde.kopeninghours)
flex_target(openinghoursscanner
    openinghourslexer.l
    ${CMAKE_CURRENT_BINARY_DIR}/openinghourslexer.cpp
    DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/openinghoursscanner_p.h
    COMPILE_FLAGS "--nounistd"
)
bison_target(openinghoursparser
    openinghoursparser.y
    ${CMAKE_CURRENT_BINARY_DIR}/openinghoursparser.cpp
    DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/openinghoursparser_p.h
)
add_flex_bison_dependency(openinghoursscanner openinghoursparser)
set_source_files_properties(${BISON_openinghoursparser_OUTPUTS} ${FLEX_openinghoursscanner_OUTPUTS} PROPERTIES SKIP_AUTOMOC ON)

if (NOT VALIDATOR_ONLY)
    list(APPEND kopeninghours_srcs
        display.cpp
        easter.cpp
        evaluator.cpp
        holidaycache.cpp
        intervalmodel.cpp
        display.h
        easter_p.h
        holidaycache_p.h
        intervalmodel.h
    )
endif()

add_library(KOpeningHours
    ${kopeninghours_srcs}
    ${BISON_openinghoursparser_OUTPUTS}
    ${FLEX_openinghoursscanner_OUTPUTS}
    interval.cpp
    openinghours.cpp
    rule.cpp
    selectors.cpp
    interval.h
    openinghours.h
    rule_p.h
    selectors_p.h
)

generate_export_header(KOpeningHours BASE_NAME KOpeningHours)

set_target_properties(KOpeningHours PROPERTIES
    VERSION ${KOPENINGHOURS_VERSION_STRING}
    SOVERSION ${KOPENINGHOURS_SOVERSION}
    EXPORT_NAME KOpeningHours
)
target_link_libraries(KOpeningHours
    PUBLIC
        Qt::Core
)
target_include_directories(KOpeningHours INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>")
if (VALIDATOR_ONLY)
    target_compile_definitions(KOpeningHours PUBLIC KOPENINGHOURS_VALIDATOR_ONLY)
else()
    target_link_libraries(KOpeningHours
        PRIVATE
            KF${KF_MAJOR_VERSION}::Holidays
            KF${KF_MAJOR_VERSION}::I18n
    )
endif()

ecm_generate_headers(KOpeningHours_FORWARDING_HEADERS
    HEADER_NAMES
        Display
        Interval
        IntervalModel
        OpeningHours
    PREFIX KOpeningHours
    REQUIRED_HEADERS KOpeningHours_HEADERS
)

install(TARGETS KOpeningHours EXPORT KOpeningHoursTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
if (KDE_INSTALL_LOGGINGCATEGORIESDIR) # added by ECM 5.59
    install(FILES org_kde_kopeninghours.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
endif()
install(FILES
    ${KOpeningHours_FORWARDING_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KOpeningHours
)
install(FILES
    ${KOpeningHours_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kopeninghours_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kopeninghours
)

if (BUILD_QCH)
    ecm_add_qch(
        KOpeningHours_QCH
        NAME KOpeningHours
        BASE_NAME KOpeningHours
        VERSION ${RELEASE_SERVICE_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${KOpeningHours_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KOPENINGHOURS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kopeninghours (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:37:24 +0000

kopeninghours (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:13:13 +0000

kopeninghours (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 14 Mar 2024 00:56:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: kopeninghours
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Sandro Knauß <hefee@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: bison,
-               cmake (>= 3.5~),
+               cmake (>= 2.8.12),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-python3,
-               extra-cmake-modules (>= 5.44~),
+               extra-cmake-modules (>= 5.28.0~),
                flex,
                libboost-python-dev,
-               libkf5holidays-dev (>= 1:5.77~),
-               libkf5i18n-dev (>= 5.77~),
+               libkf5holidays-dev,
+               libkf5i18n-dev,
                libpython3-dev,
-               qtbase5-dev (>= 5.14~),
-               qtdeclarative5-dev (>= 5.14~),
+               qtbase5-dev,
+               qtdeclarative5-dev,
 Homepage: https://invent.kde.org/libraries/kopeninghours/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopeninghours
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopeninghours.git
-Standards-Version: 4.6.2
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: libkopeninghours1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: OSM opening hours expressions library
  A library for parsing and evaluating OSM opening hours expressions.
  .
@@ -37,7 +37,8 @@
 Package: libkopeninghours-dev
 Section: libdevel
 Architecture: any
-Depends: libkopeninghours1 (= ${binary:Version}), ${misc:Depends},
+Depends: libkopeninghours1 (= ${binary:Version}),
+         ${misc:Depends},
 Description: OSM opening hours expressions library (development files)
  A library for parsing and evaluating OSM opening hours expressions.
  .
@@ -53,7 +54,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: OSM opening hours expressions - QML module
  A QML module for parsing and evaluating OSM opening hours expressions.
  .
@@ -66,7 +67,9 @@
 Package: python3-kopeninghours
 Section: python
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: OSM opening hours expressions library - Python binding
  A library for parsing and evaluating OSM opening hours expressions.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

## kopeninghours 24.08.2

=== debian/changelog ===
kopeninghours (24.08.2-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:06:38 +0100

kopeninghours (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:58:22 -0500

kopeninghours (24.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.2).
  * Ship qml package in dev packge.
  * Add Multi-Arch hints.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 13:42:21 +0200

kopeninghours (24.08.1-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Set "import_name" in debian/tests/autopkgtest-pkg-python.conf so that
    autodep8 knows which Python module import.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (24.08.1).
  * Built with Qt/KF6.
  * Remove QML dependencies from qml package.
  * Use virtual package, as the library is not garanteed to be ABI
    stable.
  * Update copyright information.
  * Add lintian-override for usage of virtual package.

 -- Sandro Knauß <hefee@debian.org>  Sat, 28 Sep 2024 22:45:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,31 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
-               cmake (>= 2.8.12),
+               cmake (>= 3.5~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
+               dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-python3,
-               extra-cmake-modules (>= 5.28.0~),
+               extra-cmake-modules (>= 5.248~),
                flex,
                libboost-python-dev,
-               libkf5holidays-dev,
-               libkf5i18n-dev,
+               libkf6holidays-dev (>= 5.248~),
+               libkf6i18n-dev (>= 5.248~),
                libpython3-dev,
-               qtbase5-dev,
-               qtdeclarative5-dev,
+               qt6-base-dev (>= 6.4~),
 Homepage: https://invent.kde.org/libraries/kopeninghours/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: libkopeninghours1
+Provides: ${ABI:VirtualPackage},
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: OSM opening hours expressions library
  A library for parsing and evaluating OSM opening hours expressions.
  .
@@ -38,6 +39,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkopeninghours1 (= ${binary:Version}),
+         qml6-module-org-kde-kopeninghours (= ${binary:Version}),
          ${misc:Depends},
 Description: OSM opening hours expressions library (development files)
  A library for parsing and evaluating OSM opening hours expressions.
@@ -48,13 +50,11 @@
  .
  This package contains the development files.
 
-Package: qml-module-org-kde-kopeninghours
+Package: qml6-module-org-kde-kopeninghours
 Architecture: any
-Depends: qml-module-qtquick-controls2,
-         qml-module-qtquick-layouts,
-         qml-module-qtquick2,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: OSM opening hours expressions - QML module
  A QML module for parsing and evaluating OSM opening hours expressions.
  .
@@ -67,9 +67,7 @@
 Package: python3-kopeninghours
 Section: python
 Architecture: any
-Depends: ${python3:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 Description: OSM opening hours expressions library - Python binding
  A library for parsing and evaluating OSM opening hours expressions.
  .

## kopeninghours 24.12.0

=== debian/changelog ===
kopeninghours (24.12.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:09:42 +0100

kopeninghours (24.12.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.12.0).
  * Use dh_qmldeps to detect QML dependencies.
  * Add mutli-arch hints.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 21:55:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kopeninghours
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
@@ -11,6 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-python3,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 5.248~),
                flex,
                libboost-python-dev,
@@ -19,14 +19,15 @@
                libpython3-dev,
                qt6-base-dev (>= 6.4~),
 Homepage: https://invent.kde.org/libraries/kopeninghours/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopeninghours
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopeninghours.git
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: libkopeninghours1
 Provides: ${ABI:VirtualPackage},
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: OSM opening hours expressions library
  A library for parsing and evaluating OSM opening hours expressions.
@@ -38,6 +39,7 @@
 Package: libkopeninghours-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libkopeninghours1 (= ${binary:Version}),
          qml6-module-org-kde-kopeninghours (= ${binary:Version}),
          ${misc:Depends},
@@ -53,8 +55,7 @@
 Package: qml6-module-org-kde-kopeninghours
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: OSM opening hours expressions - QML module
  A QML module for parsing and evaluating OSM opening hours expressions.
  .
@@ -67,6 +68,7 @@
 Package: python3-kopeninghours
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 Description: OSM opening hours expressions library - Python binding
  A library for parsing and evaluating OSM opening hours expressions.

## kopeninghours 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "5")
+set (RELEASE_SERVICE_VERSION_MAJOR "24")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -52,7 +52,7 @@
     set(REQUIRED_QT_VERSION 5.14) # 5.14 for QCalendar
     if (QT_MAJOR_VERSION STREQUAL "6")
         set(QT_REQUIRED_VERSION "6.4.0")
-        set(KF_MIN_VERSION "5.240.0")
+        set(KF_MIN_VERSION "5.248.0")
         set(KF_MAJOR_VERSION "6")
     else()
         set(KF_MAJOR_VERSION "5")
@@ -98,22 +98,10 @@
     add_subdirectory(tests)
 endif()
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KOpeningHours")
-configure_package_config_file(
-    "${CMAKE_CURRENT_SOURCE_DIR}/KOpeningHoursConfig.cmake.in"
-    "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfig.cmake"
-    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-)
 
-install(FILES
-        "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfig.cmake"
-        "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfigVersion.cmake"
-    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-    COMPONENT Devel
-)
-install(EXPORT KOpeningHoursTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KOpeningHoursTargets.cmake)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kopeninghours_version.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
 if (NOT VALIDATOR_ONLY)
@@ -129,3 +117,19 @@
     )
     set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KOpeningHoursQchTargets.cmake\")")
 endif()
+
+configure_package_config_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/KOpeningHoursConfig.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfig.cmake"
+    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+)
+
+install(FILES
+        "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfig.cmake"
+        "${CMAKE_CURRENT_BINARY_DIR}/KOpeningHoursConfigVersion.cmake"
+    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+    COMPONENT Devel
+)
+install(EXPORT KOpeningHoursTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KOpeningHoursTargets.cmake)
+
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,13 @@
     openinghourslexer.l
     ${CMAKE_CURRENT_BINARY_DIR}/openinghourslexer.cpp
     DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/openinghoursscanner_p.h
-    COMPILE_FLAGS "--nounistd"
+    COMPILE_FLAGS "--nounistd --noline"
 )
 bison_target(openinghoursparser
     openinghoursparser.y
     ${CMAKE_CURRENT_BINARY_DIR}/openinghoursparser.cpp
     DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/openinghoursparser_p.h
+    COMPILE_FLAGS "--no-lines"
 )
 add_flex_bison_dependency(openinghoursscanner openinghoursparser)
 set_source_files_properties(${BISON_openinghoursparser_OUTPUTS} ${FLEX_openinghoursscanner_OUTPUTS} PROPERTIES SKIP_AUTOMOC ON)
@@ -46,6 +47,10 @@
 
 generate_export_header(KOpeningHours BASE_NAME KOpeningHours)
 
+if (TARGET Qt6::Qml)
+    qt_extract_metatypes(KOpeningHours)
+endif()
+
 set_target_properties(KOpeningHours PROPERTIES
     VERSION ${KOPENINGHOURS_VERSION_STRING}
     SOVERSION ${KOPENINGHOURS_SOVERSION}
@@ -77,7 +82,7 @@
 )
 
 install(TARGETS KOpeningHours EXPORT KOpeningHoursTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-if (KDE_INSTALL_LOGGINGCATEGORIESDIR) # added by ECM 5.59
+if (KDE_INSTALL_LOGGINGCATEGORIESDIR AND NOT ANDROID) # added by ECM 5.59
     install(FILES org_kde_kopeninghours.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 endif()
 install(FILES
@@ -102,7 +107,7 @@
         MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
         #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
         LINK_QCHS
-            Qt5Core_QCH
+            Qt${QT_MAJOR_VERSION}Core_QCH
         INCLUDE_DIRS
             ${CMAKE_CURRENT_BINARY_DIR}
         BLANK_MACROS

=== debian/changelog ===
kopeninghours (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:30 -0500

kopeninghours (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 22:57:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kopeninghours
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
@@ -19,8 +20,8 @@
                libpython3-dev,
                qt6-base-dev (>= 6.4~),
 Homepage: https://invent.kde.org/libraries/kopeninghours/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopeninghours
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopeninghours.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

## kopeninghours 25.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KOpeningHours VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -74,15 +74,10 @@
 find_package(BISON REQUIRED)
 set_package_properties(BISON PROPERTIES PURPOSE "Grammar generator for parsing opening hours expressions")
 
-find_package(PythonLibs 3.6 MODULE)
-if (PythonLibs_FOUND)
-    # Extract major/minor python version
-    string(REPLACE "." ";" VERSION_LIST ${PYTHONLIBS_VERSION_STRING})
-    list(GET VERSION_LIST 0 PYTHONLIBS_VERSION_MAJOR)
-    list(GET VERSION_LIST 1 PYTHONLIBS_VERSION_MINOR)
-
+find_package(Python COMPONENTS Development)
+if (Python_FOUND)
     # boost-python requires exact version number
-    find_package(Boost COMPONENTS python${PYTHONLIBS_VERSION_MAJOR}${PYTHONLIBS_VERSION_MINOR} MODULE)
+    find_package(Boost COMPONENTS python${Python_VERSION_MAJOR}${Python_VERSION_MINOR} MODULE)
 endif()
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

=== debian/changelog ===
kopeninghours (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Fix behaviour change in Qt 6.10 regarding QCalendar::daysInMonth.
  * New upstream release (25.04.2).
    - Adapt tests to KF::Holidays sunrise computation changes.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 10 Jun 2025 00:15:58 +0200

kopeninghours (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kopeninghours
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
@@ -20,9 +19,9 @@
                libpython3-dev,
                qt6-base-dev (>= 6.4~),
 Homepage: https://invent.kde.org/libraries/kopeninghours/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopeninghours
-Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kopeninghours
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kopeninghours.git
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: libkopeninghours1

## kopeninghours 25.04.3

=== debian/changelog ===
kopeninghours (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:49:57 +0100

## kopeninghours 25.07.80

=== debian/changelog ===
kopeninghours (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:43:17 +0100

## kopeninghours 25.07.90

=== debian/changelog ===
kopeninghours (25.07.90-0ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:06:35 +0200

kopeninghours (25.07.90-0ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:56:13 +0200

kopeninghours (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:53:50 +0100

## kopeninghours 25.08.0

=== debian/changelog ===
kopeninghours (25.08.0-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 09:09:49 +0000

kopeninghours (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:14:53 +0000

kopeninghours (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:51:00 +0000

kopeninghours (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:41:00 +0000

kopeninghours (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:09:11 +0000

kopeninghours (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:33:38 +0000

kopeninghours (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:07:35 +0000

kopeninghours (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:24:13 +0000

kopeninghours (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:29:48 +0000

kopeninghours (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:11:03 +0000

kopeninghours (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:35:00 +0000

kopeninghours (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:59:42 +0000

kopeninghours (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:31:08 +0000

kopeninghours (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:23:21 +0000

kopeninghours (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:05:41 +0000

kopeninghours (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:19:49 +0000

kopeninghours (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:08:57 +0000

kopeninghours (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:53:20 +0000

kopeninghours (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:29:45 +0000

kopeninghours (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:12:44 +0000

kopeninghours (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:07:24 +0000

kopeninghours (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:10:21 +0000

kopeninghours (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:38:34 +0000

kopeninghours (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:15:07 +0000

kopeninghours (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 14:02:20 +0000

kopeninghours (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:40:43 +0000

kopeninghours (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:15:37 +0000

kopeninghours (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:22:04 +0000

kopeninghours (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:44:14 +0000

kopeninghours (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:57:07 +0000

kopeninghours (22.04.3-1neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:31:55 +0000

kopeninghours (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:52:51 +0000

kopeninghours (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:49:47 +0000

kopeninghours (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 14:02:41 +0000

kopeninghours (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:07:15 +0000

kopeninghours (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:12:37 +0000

kopeninghours (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 15:19:06 +0000

kopeninghours (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:36:12 +0000

kopeninghours (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:47:28 +0000

kopeninghours (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:20:55 +0000

kopeninghours (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:26:17 +0000

kopeninghours (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 09:00:14 +0000

kopeninghours (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:59 +0000
